Bug 69225 - Informix fails to load non US locales
Informix fails to load non US locales
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: glibc (Show other bugs)
7.2
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Jakub Jelinek
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-07-19 04:47 EDT by Vmktu Pons i Colomer
Modified: 2016-11-24 09:55 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-12-15 16:56:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vmktu Pons i Colomer 2002-07-19 04:47:39 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0)

Description of problem:
I have defined Informix 7.30.UC7 CLIENT_LOCALE,DB_LOCALE to es_es.819, and 
LC_COLLATE,LC_CTYPE,LC_MONETARY,LC_NUMERIC,LC_TIME to es_ES.

Using strace I can see it loads the correct 
file /usr/lib/locale/es_ES/LC_COLLATE, but then it complains with an error LANG 
or LC_COLLATE environment variebles incorrectly set.

It works with exactly the same configuration in 6.2, and in strace I can see it 
loads the same files...

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Install Informix 7.30.UC7
2.Set variables to the values indicated in the problem description
3.run onmonitor
	

Actual Results:  I does not run :( complains with error

Expected Results:  Expected a clean run :)

Additional info:

Severity al little high, as I can't run informix in my box with the correct 
locales... If I use en_US i can't use the financial caracters used in my 
databases :)
Comment 1 Jakub Jelinek 2002-07-25 09:30:21 EDT
What can we do about Informix bugs?
You should report this to Informix developers.

Note You need to log in before you can comment on or make changes to this bug.